Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 259743 - x11-libs/qt-webkit-4.5.0_rc1 may need a phonon flag
Summary: x11-libs/qt-webkit-4.5.0_rc1 may need a phonon flag
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-20 17:54 UTC by Jonathan-Christofer Demay
Modified: 2009-03-01 01:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan-Christofer Demay 2009-02-20 17:54:37 UTC
The phonon module x11-libs/qt-webkit-4.5.0_rc1 is building is optionnal.
So maybe the ebuild should have a phonon flag just like x11-libs/qt-4.5.0_rc1 have. Because right now, even without the phonon use flag enabled for x11-libs/qt-4.5.0_rc1, it needs x11-libs/qt-phonon-4.5.0_rc1 as an indirect dependency.
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2009-02-26 17:15:48 UTC
The fact that the metapackage is pulling phonon doesnt mean that it is an optional dependency for qt-webkit. You shouldnt really use the metapackage anymore. Phonon must be installed in order to make qt-webkit compile and work fine.

Am I answering your question? If yes, then this bug should close as invalid, otherwise let me know why you think that phonon is an optional dependency of qt-webkit. If you try to build qt-webkit without phonon installed you will get a nice liker error
Comment 2 Jonathan-Christofer Demay 2009-02-27 00:05:17 UTC
Here is what I thought:

- The configure script of qt-webkit allows to decide whether or not we want to build the phonon module. Since the qt metapackage has a phonon flag to decide whether or not it should depend on qt-phonon, maybe the phonon flag should be passed down to qt-webkit.

- It works, I tried, but since the phonon module is enabled by default wether or not qt-phonon is present, it has to be explicitly disabled by the configure script.

- Here is how I modified the qt-webkit-4.5_rc1 ebuild:
--- /usr/portage/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild
+++ /usr/local/portage/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild
@@ -9,11 +9,11 @@
 LICENSE="|| ( GPL-3 GPL-2 )"
 SLOT="4"
 KEYWORDS="~amd64 ~hppa ~mips ~ppc ~ppc64 -sparc ~x86"
-IUSE=""
+IUSE="phonon"
 
 DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
 	~x11-libs/qt-gui-${PV}[debug=]
-	|| ( ~x11-libs/qt-phonon-${PV}:${SLOT}[debug=] media-sound/phonon )"
+	phonon? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[debug=] media-sound/phonon ) )"
 RDEPEND="${DEPEND}"
 
 QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
@@ -31,5 +31,8 @@
 
 src_configure() {
 	myconf="${myconf} -webkit"
+	if ! use phonon; then
+		myconf="${myconf} -no-phonon"
+	fi
 	qt4-build_src_configure
 }

- Also, since I don't have phonon on my system, I'm not sure if there's a point in building it, maybe you can tell more about it, I'm far from being a Qt/KDE expert.

- If I'm wrong, well sure, close this bug ^^
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2009-02-27 10:31:29 UTC
What you are doing is to build ( or not ) the phonon module with qt-webkit module. Phonon module is supposed to build with qt-phonon module. So if you try to build it inside qt-webkit you will have collisions with qt-phonon. I dont know if you can follow my words.

What should be fixed is to drop the use flag "phonon" from metapackage in order to make qt-phonon an actual dependency and not an optional one. 

Qt-webkit ebuild is building only the webkit module but requires phonon to be present .So it is not an optional dependency. Qt-webkit cant work if phonon is not installed. 

To sum up, qt-webkit ebuild is fine, I just need to fix the metapackage to always pull qt-phonon and not according to phonon use flag. :)
Comment 4 Jonathan-Christofer Demay 2009-02-27 10:47:50 UTC
You mean phonon is an interface to qt-phonon and not the order way around ?

Anyway, I get it now that qt-phonon need to be build.

So, should I close the bug or rename it "qt metapackage should always pull qt-phonon and not according to phonon use flag" ^^ ?
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2009-02-27 11:18:09 UTC
(In reply to comment #4)
> You mean phonon is an interface to qt-phonon and not the order way around ?
> 
> Anyway, I get it now that qt-phonon need to be build.
> 
> So, should I close the bug or rename it "qt metapackage should always pull
> qt-phonon and not according to phonon use flag" ^^ ?
> 

phonon is another "functionality" area of qt. If you set "-phonon" or "-no-phonon" on configure script you will end up disabling phonon support ,hence qt-webkit wont build.

No, there is no need to change the title as long as I am the one who is taking care of this :). 

Yes the solution would be to modify metapackage to always pull qt-phonon and not according to use flag selection. I ll fix it later today :)